
QGIS Application - Bug report #12043

Error eliminating classes in symbology

2015-01-23 06:04 AM - Pedro Venâncio

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20246

Description

This one is not easy to explain. Please see the screencast:

https://dl.dropboxusercontent.com/u/5772257/qgis/qgis_style_classes.avi

Basically, in the symbology, when I try to delete several classes, if the selection is made individually (with Ctrl button pressed) from the

bottom to the top, classes that are below are not eliminated. If the selection is made with Shift, or Ctrl but from the top to the bottom, the

delete works as expected.

This happens both in 2.6.1 as in master.

Associated revisions

Revision 174a0dde - 2015-11-28 04:50 PM - Sebastian Dietrich 

fix a bug when deleting style categories (fixes #12043)

Revision 6aabb856 - 2015-11-29 04:25 PM - Matthias Kuhn 

Merge pull request #2510 from SebDieBln/FixDeleteCategories

Fix a bug when deleting style categories (fixes #12043)

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#4 - 2015-11-28 09:00 AM - Sebastian Dietrich

See PR 2510 for a solution.
https://dl.dropboxusercontent.com/u/5772257/qgis/qgis_style_classes.avi
https://github.com/qgis/QGIS/pull/2510


#5 - 2015-11-29 07:26 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"6aabb8561b4862454162eb3f9e66efbb7b01c0df".
